const require_useEngineContext = require("../../../hooks/useEngineContext.js");
//#region src/components/dataSourceComponents/hooks/usePlatform.ts
const usePlatform = () => {
	var _context$appHelper;
	return (_context$appHelper = require_useEngineContext.default().appHelper) === null || _context$appHelper === void 0 || (_context$appHelper = _context$appHelper.constants) === null || _context$appHelper === void 0 ? void 0 : _context$appHelper.platform;
};
const useIsShop = () => {
	return usePlatform() === "shop";
};
const useIsH5 = () => {
	return usePlatform() === "h5";
};
const useIsPc = () => {
	return usePlatform() === "pc";
};
//#endregion
exports.useIsH5 = useIsH5;
exports.useIsPc = useIsPc;
exports.useIsShop = useIsShop;
